Generate OAuth Token
Exchange client credentials for a JWT. Returns jwt on success. Failed requests return application/problem+json (RFC 9457) with type, title, and detail (no status in body):
- 401 (
type: ANL_00401) — theclientIdorclientSecretwas not accepted. Check the credentials before retrying. - 403 (
type: ANL_00403) — the credentials were accepted, but the client is not permitted to issue a token. Retrying will not help; contact your Later account team. - 415 (
type: ANL_00415) — the requestContent-Typeis notapplication/json.
Body·
required
application/json
- Type: stringclient
Id requiredClient ID required to get the JWT token used for authentication
- Type: stringclient
Secret requiredClient Secret required to get the JWT token used for authentication
Responses
- application/json
- 400
Malformed JSON body or missing required fields
- application/problem+json
- application/problem+json
- application/problem+json
- 500
Unexpected error while issuing token
Request Example for post/oauth/token
curl https://reporting.api.later.com/oauth/token \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"clientId": "client_id_123",
"clientSecret": "client_secret_456"
}'
{
"jwt": "<JWT>"
}